import { jest } from '@jest/globals';
import { listService } from '../../../../service/list';
import { GetListResponse } from '../../../../service/list/types';

export const spyedGetList = jest.spyOn(listService, 'getList');

export const mockGetList = (data?: GetListResponse) => {
  spyedGetList.mockResolvedValueOnce(
    data ?? [
      { id: 1, title: 'title', description: 'description' },
      { id: 2, title: 'title', description: 'description' },
      { id: 3, title: 'title', description: 'description' },
      { id: 4, title: 'title', description: 'description' },
      { id: 5, title: 'title', description: 'description' }
    ]
  );
  return spyedGetList;
};
